> For the complete documentation index, see [llms.txt](https://docs.hivesql.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hivesql.io/technical-informations/state-tables/delegations.md).

# Delegations

While the Hive API makes it easy to know to whom an account is delegating using `condenser_api.get_vesting_delegations`, the opposite is more difficult. There is currently no API call to know who has delegated to an account.&#x20;

Fortunately, HiveSQL allows you to easily retrieve this information thanks to the [TxDelegateVestingShares](/technical-informations/operations/txdelegatevestingshares.md) table which includes all creation, modification or removal of delegation operations carried out by users.

However, the main difficulty comes from the fact that you have to check the last `delegate_vesting_share` operation involving two accounts to get the state of the delegation between these accounts.

Due to all the technical reasons mentioned above, retrieving an accurate list of delegators or delegatees has become much more complex and resources consuming.

The non-consensus state table Delegations allows you to retrieve delegations data quickly and easily. It contains the list of all active delegations with the following info:

#### Columns

<table data-header-hidden><thead><tr><th>Name</th><th width="379">Description</th></tr></thead><tbody><tr><td>Name</td><td>Description</td></tr><tr><td>delegator</td><td>The account delegating Hive Power</td></tr><tr><td>delegatee</td><td>The account receiving Hive Power delegation</td></tr><tr><td>vests</td><td>The amount of Vesting Shares delegated</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hivesql.io/technical-informations/state-tables/delegations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
